org.hibernate.search.elasticsearch.work.impl

## Class ScrollWork.Builder

- java.lang.Object
- - org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder<ScrollWork.Builder>
  - - org.hibernate.search.elasticsearch.work.impl.ScrollWork.Builder

- All Implemented Interfaces:
    ElasticsearchWorkBuilder<ElasticsearchWork<SearchResult>>, ScrollWorkBuilder
  Enclosing class:
    ScrollWork

      public static class ScrollWork.Builder
      extends SimpleElasticsearchWork.Builder<ScrollWork.Builder>
      implements ScrollWorkBuilder

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `dirtiedIndexName, luceneWork, markIndexDirty, resultAssessor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(String scrollId, String scrollTimeout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ScrollWork` | `build()`
    `protected ElasticsearchRequest` | `buildRequest()`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.work.impl.SimpleElasticsearchWork.Builder

      `luceneWork, markIndexDirty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(String scrollId,
                         String scrollTimeout)

  - ### Method Detail

    - #### buildRequest

          protected ElasticsearchRequest buildRequest()

      Specified by:
        `buildRequest` in class `SimpleElasticsearchWork.Builder<ScrollWork.Builder>`

    - #### build

          public ScrollWork build()

      Specified by:
        `build` in interface `ElasticsearchWorkBuilder<ElasticsearchWork<SearchResult>>`
      Specified by:
        `build` in class `SimpleElasticsearchWork.Builder<ScrollWork.Builder>`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved